function BuildQueueingScript(md,solutiontype,executionpath,codepath)
%BUILDQUEUEINGSCRIPT - 
%
%   Usage:
%      BuildQueueingScript(md,solutiontype,executionpath,codepath)

disp('building queueing script');

%First try and figure out if there is a special script for thie particular cluster
function_name=['BuildQueueingScript' md.cluster];
if exist(function_name,'file'),
	%Call this function:
	eval([function_name '(md,solutiontype,executionpath,codepath);']);
else
	%Call the generic BuildQueueingScript:
	BuildQueueingScriptGeneric(md,solutiontype,executionpath,codepath);
end
